io.vertx.rxjava.ext.web.handler

## Class RedirectAuthHandler

- java.lang.Object
- - io.vertx.rxjava.ext.web.handler.RedirectAuthHandler

- All Implemented Interfaces:
    Handler<RoutingContext>, AuthHandler

      public class RedirectAuthHandler
      extends Object
      implements AuthHandler

  An auth handler that's used to handle auth by redirecting user to a custom login page.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RedirectAuthHandler(RedirectAuthHandler delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthHandler` | `addAuthorities(Set<String> authorities)` Add a set of required authorities for this auth handler
    `AuthHandler` | `addAuthority(String authority)` Add a required authority for this auth handler
    `static AuthHandler` | `create(AuthProvider authProvider)` Create a handler
    `static AuthHandler` | `create(AuthProvider authProvider, String loginRedirectURL)` Create a handler
    `static AuthHandler` | `create(AuthProvider authProvider, String loginRedirectURL, String returnURLParam)` Create a handler
    `Object` | `getDelegate()`
    `void` | `handle(RoutingContext arg0)` Something has happened, so handle it.
    `static RedirectAuthHandler` | `newInstance(RedirectAuthHandler arg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.rxjava.ext.web.handler.AuthHandler

      `newInstance`

- - ### Constructor Detail

    - #### RedirectAuthHandler

          public RedirectAuthHandler(RedirectAuthHandler delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

      Specified by:
        `getDelegate` in interface `AuthHandler`

    - #### handle

          public void handle(RoutingContext arg0)

      Description copied from interface: `Handler`
      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Specified by:
        `handle` in interface `AuthHandler`
      Parameters:
        `arg0` - the event to handle

    - #### addAuthority

          public AuthHandler addAuthority(String authority)

      Add a required authority for this auth handler
      Specified by:
        `addAuthority` in interface `AuthHandler`
      Parameters:
        `authority` - the authority
      Returns:
        a reference to this, so the API can be used fluently

    - #### addAuthorities

          public AuthHandler addAuthorities(Set<String> authorities)

      Add a set of required authorities for this auth handler
      Specified by:
        `addAuthorities` in interface `AuthHandler`
      Parameters:
        `authorities` - the set of authorities
      Returns:
        a reference to this, so the API can be used fluently

    - #### create

          public static AuthHandler create(AuthProvider authProvider)

      Create a handler
      Parameters:
        `authProvider` - the auth service to use
      Returns:
        the handler

    - #### create

          public static AuthHandler create(AuthProvider authProvider,
                                           String loginRedirectURL)

      Create a handler
      Parameters:
        `authProvider` - the auth service to use
        `loginRedirectURL` - the url to redirect the user to
      Returns:
        the handler

    - #### create

          public static AuthHandler create(AuthProvider authProvider,
                                           String loginRedirectURL,
                                           String returnURLParam)

      Create a handler
      Parameters:
        `authProvider` - the auth service to use
        `loginRedirectURL` - the url to redirect the user to
        `returnURLParam` - the name of param used to store return url information in session
      Returns:
        the handler

    - #### newInstance

          public static RedirectAuthHandler newInstance(RedirectAuthHandler arg)

Copyright © 2016. All rights reserved.